Draft Shape2DView: Difference between revisions

From FreeCAD Documentation
No edit summary
Line 14: Line 14:
==Options==
==Options==


* If the selected object is an [[Arch SectionPlane]], the 2D projection will be of the contents of the Section plane.
* If the selected object is an [[Arch SectionPlane]], the 2D projection will be of the contents of the Section plane, and the projection vector will be taken from the section plane instead of the Projection property below.


==Properties==
==Properties==

Revision as of 13:36, 29 August 2012

Draft_Shape2DView

Menu location
Draft -> Shape 2D View
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool places in the document a 2D object which is a flattened view of a selected Shape-based object.

How to use

  1. Select the object you want to extract a 2D view from
  2. Press the Draft Shape2DView button

Options

  • If the selected object is an Arch SectionPlane, the 2D projection will be of the contents of the Section plane, and the projection vector will be taken from the section plane instead of the Projection property below.

Properties

DataProjection: The direction of the projection

Scripting

The Draft Shape2DView tool can by used in macros and from the python console by using the following function:

makeShape2DView (object,[projection]): adds a 2D shape to the document, which is a 2D projection of the given object. 
A specific projection vector can also be given. Returns the generated object.

Example:

import FreeCAD,Draft
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
Available translations of this page: